nem {MANOR} | R Documentation

## Spatial Classification by EM algorithm

### Description

The function `nem` computes spatial classification by EM algorithm.

### Usage

    ## Default S3 method:
    nem(LogRatio, Col, Row, nk=nk, beta=1, iters=2000, ...)
    ## S3 method for class 'arrayCGH':
    nem(arrayCGH, variable, nk=5, beta=1, iters=2000, ...)

### Arguments

`LogRatio` | Vector that corresponds to the values to be classified.
`Col` | Vector of columns coordinates.
`Row` | Vector of rows coordinates.
`nk` | Integer value corresponding to the number classes.
`beta` | Scale parameter for importance of spatial information.
`iters` | Maximum number of iterations allowed.
`arrayCGH` | Object of class `arrayCGH`.
`variable` | Variable that corresponds to the values to be classified.
`...` | ...

### Value

Either a data frame with the following added elements:

`ZoneNem` | Vector of label zones.
`ZoneNem` | Vector of label zones.

### Note

People interested in tools for array-CGH analysis can visit our web-page: http://bioinfo.curie.fr.

### Author(s)

Philippe Hupé, manor@curie.fr.

### References

C. Ambroise, Approche probabiliste en classification automatique et contraintes de voisinage, Ph.D. thesis, Université de Technologie de Compiègne, 1996.

C. Ambroise, M. Dang, and G. Govaert, Clustering of spatial data by the em algorithm in Geostatistics for Environmental Applications, A. Soares, J. Gomez-Hernandez, and R. Froidevaux, Eds., pp. 493-504. Kluwer Academic Publisher, 1997.

P. Neuvial, P. Hupé, I. Brito, S. Liva, E. Manié, C. Brennetot, A. Aurias, F. Radvanyi, and E. Barillot. Spatial normalization of array-CGH data. BMC Bioinformatics, 7(1):264. May 2006.

### Examples

    data(spatial)  ## arrays with local spatial effects

    ## Plot of LogRatio measured on the array CGH
    ## Not run:
    arrayPlot(edge,"LogRatio", main="Log2-Ratio measured on the array
    CGH", zlim=c(-1,1), bar="v", mediancenter=TRUE)
    ## End(Not run)

    ## Spatial trend of the scaled log-ratios (the variable "ScaledLogRatio"
    ## equals to the log-ratio minus the median value of the corresponding chromosome arm)
    edgeTrend <- arrayTrend(edge, variable="ScaledLogRatio",
    span=0.03, degree=1, iterations=3, family="symmetric")

    ## Not run:
    arrayPlot(edgeTrend, variable="Trend", main="Spatial trend of the array CGH", bar="v")
    ## End(Not run)

    ## Classification with spatial constraint of the spatial trend
    edgeNem <- nem(edgeTrend, variable="Trend")
    ## Not run:
    arrayPlot(edgeNem, variable="ZoneNem", main="Spatial zones identified by nem", bar="v")
    ## End(Not run)

[Package MANOR version 1.16.0 Index]